Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class BuiltInArgumentImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.BuiltInArgumentImpl

All Implemented Interfaces:
  Argument, BuiltInArgument

Direct Known Subclasses:
  MultiArgumentImpl, OWLClassImpl, OWLDatatypeValueImpl, OWLPropertyImpl, PropertyValueImpl, VariableBuiltInArgumentImpl

    public class BuiltInArgumentImpl

extends Object
implements BuiltInArgument

Class representing argument to built-ins

Constructor Summary
`BuiltInArgumentImpl()`
`BuiltInArgumentImpl(String variableName, String prefixedVariableName)`

Method Summary
`boolean` | `equals(Object obj)`
`BuiltInArgument` | `getBuiltInResult()`
`String` | `getPrefixedVariableName()`
`String` | `getVariableName()`
`int` | `hashCode()`
`boolean` | `isUnbound()`
`boolean` | `isVariable()`
`void` | `setBuiltInResult(BuiltInArgument builtInResult)`
`void` | `setUnbound()`
`void` | `setVariableName(String variableName, String prefixedVariableName)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BuiltInArgumentImpl

    public BuiltInArgumentImpl()

### BuiltInArgumentImpl

    public BuiltInArgumentImpl(String variableName,
                               String prefixedVariableName)

Method Detail

### isVariable

    public boolean isVariable()

  Specified by:
    `isVariable` in interface `BuiltInArgument`

### setVariableName

    public void setVariableName(String variableName,
                                String prefixedVariableName)

  Specified by:
    `setVariableName` in interface `BuiltInArgument`

### getVariableName

    public String getVariableName()
                           throws BuiltInException

  Specified by:
    `getVariableName` in interface `BuiltInArgument`
  Throws:
    `BuiltInException`

### getPrefixedVariableName

    public String getPrefixedVariableName()
                                   throws BuiltInException

  Specified by:
    `getPrefixedVariableName` in interface `BuiltInArgument`
  Throws:
    `BuiltInException`

### setBuiltInResult

    public void setBuiltInResult(BuiltInArgument builtInResult)
                          throws BuiltInException

  Specified by:
    `setBuiltInResult` in interface `BuiltInArgument`
  Throws:
    `BuiltInException`

### getBuiltInResult

    public BuiltInArgument getBuiltInResult()
                                     throws BuiltInException

  Specified by:
    `getBuiltInResult` in interface `BuiltInArgument`
  Throws:
    `BuiltInException`

### setUnbound

    public void setUnbound()

  Specified by:
    `setUnbound` in interface `BuiltInArgument`

### isUnbound

    public boolean isUnbound()

  Specified by:
    `isUnbound` in interface `BuiltInArgument`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.